package com.zjrs.zwnw.zj.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@TableName(value = "RS_ZJ_QSTC")
@ApiModel(value="QstcPO对象", description="全市突出贡献")
public class QstcPO {
    @ApiModelProperty(value = "全市突出贡献ID")
    @TableId(value = "RS_ZJ_QSTC_LSH", type = IdType.ASSIGN_UUID)
    private String rsZjQstcLsh;

    @ApiModelProperty(value = "年度")
    @TableField("ND")
    private String nd;

    @ApiModelProperty(value = "国家级突出贡献专家新增")
    @TableField("GJZJXZ")
    private String gjzjxz;

    @ApiModelProperty(value = "省级突出贡献专家新增")
    @TableField("SHENGJZJXZ")
    private String shengjzjxz;

    @ApiModelProperty(value = "市级突出贡献专家新增")
    @TableField("SHIJZJXZ")
    private String shijzjxz;

    @ApiModelProperty(value = "享受国务院特殊津贴新增")
    @TableField("XSGWYTSJTXZ")
    private String xsgwytsjtxz;

    @ApiModelProperty(value = "国家级突出贡献专家流出")
    @TableField("GJZJLC")
    private String gjzjlc;

    @ApiModelProperty(value = "省级突出贡献专家流出")
    @TableField("SHENGJZJLC")
    private String shengjzjlc;

    @ApiModelProperty(value = "市级突出贡献专家流出")
    @TableField("SHIJZJLC")
    private String shijzjlc;

    @ApiModelProperty(value = "享受国务院特殊津贴流出")
    @TableField("XSGWYTSJTLC")
    private String xsgwytsjtlc;

    @ApiModelProperty(value = "创建人")
    @TableField("TS_CJR")
    private String tsCjr;

    @ApiModelProperty(value = "创建时间")
    @TableField("TS_CJSJ")
    private String tsCjsj;

    @ApiModelProperty(value = "修改人")
    @TableField("TS_XGR")
    private String tsXgr;

    @ApiModelProperty(value = "修改时间")
    @TableField("TS_XGSJ")
    private String tsXgsj;

    public String getRsZjQstcLsh() {
        return rsZjQstcLsh;
    }

    public void setRsZjQstcLsh(String rsZjQstcLsh) {
        this.rsZjQstcLsh = rsZjQstcLsh;
    }

    public String getNd() {
        return nd;
    }

    public void setNd(String nd) {
        this.nd = nd;
    }

    public String getGjzjxz() {
        return gjzjxz;
    }

    public void setGjzjxz(String gjzjxz) {
        this.gjzjxz = gjzjxz;
    }

    public String getShengjzjxz() {
        return shengjzjxz;
    }

    public void setShengjzjxz(String shengjzjxz) {
        this.shengjzjxz = shengjzjxz;
    }

    public String getShijzjxz() {
        return shijzjxz;
    }

    public void setShijzjxz(String shijzjxz) {
        this.shijzjxz = shijzjxz;
    }

    public String getXsgwytsjtxz() {
        return xsgwytsjtxz;
    }

    public void setXsgwytsjtxz(String xsgwytsjtxz) {
        this.xsgwytsjtxz = xsgwytsjtxz;
    }

    public String getGjzjlc() {
        return gjzjlc;
    }

    public void setGjzjlc(String gjzjlc) {
        this.gjzjlc = gjzjlc;
    }

    public String getShengjzjlc() {
        return shengjzjlc;
    }

    public void setShengjzjlc(String shengjzjlc) {
        this.shengjzjlc = shengjzjlc;
    }

    public String getShijzjlc() {
        return shijzjlc;
    }

    public void setShijzjlc(String shijzjlc) {
        this.shijzjlc = shijzjlc;
    }

    public String getXsgwytsjtlc() {
        return xsgwytsjtlc;
    }

    public void setXsgwytsjtlc(String xsgwytsjtlc) {
        this.xsgwytsjtlc = xsgwytsjtlc;
    }

    public String getTsCjr() {
        return tsCjr;
    }

    public void setTsCjr(String tsCjr) {
        this.tsCjr = tsCjr;
    }

    public String getTsCjsj() {
        return tsCjsj;
    }

    public void setTsCjsj(String tsCjsj) {
        this.tsCjsj = tsCjsj;
    }

    public String getTsXgr() {
        return tsXgr;
    }

    public void setTsXgr(String tsXgr) {
        this.tsXgr = tsXgr;
    }

    public String getTsXgsj() {
        return tsXgsj;
    }

    public void setTsXgsj(String tsXgsj) {
        this.tsXgsj = tsXgsj;
    }
}
